Transactions API

Endpoints

  • GET /v1/transactions
  • GET /v1/transactions/{transactionId}

GET /v1/transactions

Requires read. Query params:
  • limit (int, default 100, min 1, max 500)
  • cursor (string, optional)
  • before (string, optional, alias de compatibilidade)

GET /v1/transactions/

Requires read.
const transactions = await accend.transactions.list("limit=50");
const transaction = await accend.transactions.get("tx_abc123");
Response shape:
{
  "data": {
    "items": [
      {
        "id": "tx_abc123",
        "customerId": "cus_abc123",
        "checkoutId": "cs_abc123",
        "status": "completed",
        "amount": "9700",
        "currency": "BRL",
        "createdAt": "2025-01-15T10:04:23Z"
      }
    ],
    "hasMore": false,
    "nextCursor": null
  },
  "error": null,
  "success": true
}